Debian Bug report logs - #267356
lynx-cur: mystery meat directories in /tmp

version graph

Package: lynx-cur; Maintainer for lynx-cur is Atsuhito KOHDA <kohda@debian.org>; Source for lynx-cur is src:lynx-cur.

Reported by: Dan Jacobson <jidanni@jidanni.org>

Date: Sun, 22 Aug 2004 04:03:02 UTC

Severity: minor

Tags: upstream

Found in version 2.8.6-3

Fixed in version lynx-cur/2.8.6-6

Done: Atsuhito KOHDA <kohda@debian.org>

Bug is archived. No further changes may be made.

Forwarded to lynx-dev@nongnu.org

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
New Bug report received and forwarded. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-cur: mystery meat directories in /tmp
Date: Sun, 22 Aug 2004 07:44:31 +0800
Package: lynx-cur
Version: 2.8.6-3
Severity: minor
Tags: upstream

In /tmp/XXXXbkhUFg/L2347-390TMP.html we see
<h1>History Page (Lynx Version 2.8.6dev.5)</h1>

I'd call the directory /tmp/lynx-XXXXbkhUFg
to avoid adding more mystery meat directories to the system.



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #10 received at 267356@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: jidanni@jidanni.org, 267356@bugs.debian.org
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Thu, 02 Sep 2004 11:22:43 +0900 (JST)
From: Dan Jacobson <jidanni@jidanni.org>
Subject: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Sun, 22 Aug 2004 07:44:31 +0800

> In /tmp/XXXXbkhUFg/L2347-390TMP.html we see
> <h1>History Page (Lynx Version 2.8.6dev.5)</h1>
> 
> I'd call the directory /tmp/lynx-XXXXbkhUFg
> to avoid adding more mystery meat directories to the system.

However, the directory would be removed after one would
quit lynx, I guess.

So I see no problem here.  Do I misunderstand your point?

Regards,			2004.9.2(Thu)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #15 received at 267356@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 267356@bugs.debian.org
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Sat, 04 Sep 2004 09:29:40 +0800
Atsuhito> However, the directory would be removed after one would
Atsuhito> quit lynx, I guess.

Still bad. And what if lynx died of unknown causes, or kill -9.
I hate mystery files and directories.



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #20 received at 267356@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: jidanni@jidanni.org, 267356@bugs.debian.org
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Mon, 13 Sep 2004 14:48:32 +0900 (JST)
From: Dan Jacobson <jidanni@jidanni.org>
Subject: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Sat, 04 Sep 2004 09:29:40 +0800

> Atsuhito> However, the directory would be removed after one would
> Atsuhito> quit lynx, I guess.
> 
> Still bad. And what if lynx died of unknown causes, or kill -9.
> I hate mystery files and directories.

Hmm, I doubt that a program can remove temporary file(s)
if it died of unknown causes or killed -9

I cann't think this a reasonable request for the upstream
yet...

Regards,			2004.9.13(Mon)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #25 received at 267356@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 267356@bugs.debian.org
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Wed, 15 Sep 2004 05:40:09 +0800
Well, as an example, today I received an unrelated mail:

  Apt-offline creates a ~/log file on the high bandwidth machine.  Maybe
  a less generic name like apt-offline-log could avoid the potential of
  filename clashes and also would help the user to know the file is
  related to apt-offline from a quick glance.

At least his last point makes sense for lynx while lynx is running.



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #30 received at 267356@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: jidanni@jidanni.org, 267356@bugs.debian.org
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Wed, 15 Sep 2004 10:44:34 +0900 (JST)
From: Dan Jacobson <jidanni@jidanni.org>
Subject: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Wed, 15 Sep 2004 05:40:09 +0800

> Well, as an example, today I received an unrelated mail:
> 
>   Apt-offline creates a ~/log file on the high bandwidth machine.  Maybe
>   a less generic name like apt-offline-log could avoid the potential of
>   filename clashes and also would help the user to know the file is
>   related to apt-offline from a quick glance.
> 
> At least his last point makes sense for lynx while lynx is running.

Well, if you set LYNX_TEMP_SPACE=~/.lynxtmp and created
~/.lynxtmp (for example) then every temporary files of lynx 
should be created there.  

I suspect this could be a fix of your problem.  I'll add the
explanation in README.Debian if necessary.

Thanks for your interest in lynx-cur.

Regards,			2004.9.15(Wed)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #35 received at 267356@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: 267356@bugs.debian.org
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Fri, 17 Sep 2004 04:56:35 +0800
Atsuhito> Well, if you set LYNX_TEMP_SPACE=~/.lynxtmp and created

But I like the tmp files to be in /tmp, I just want it to be clear
upon even just a quick look, and by default with no extra settings, to
all people who look, what program is doing it, else one might think it
is some Trojan horse program.



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #40 received at 267356@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: control@bugs.debian.org
Cc: 267356@bugs.debian.org
Subject: forwareded
Date: Fri, 17 Sep 2004 10:37:32 +0900 (JST)
forwarded 267356 lynx-dev@nongnu.org
stop

This was forwarded to the upstream;

From: Atsuhito KOHDA <kohda@nsx.pm.tokushima-u.ac.jp>
Subject: [Lynx-dev] mystery meat directories in /tmp
Date: Fri, 17 Sep 2004 10:15:40 +0900 (JST)

> Hi all,
> 
> I got the following bug report in Debian Bug Tracking System
> (Bug#267356).
> 
> In short, a reporter claimed that lynx created 
> /tmp/XXXXbkhUFg/L2347-390TMP.html and he thought it bad.
> 
> I said to him that lynx removed those temporary file(s) when
> lynx quit normally but he didn't seem to be convinced.
> 
> So I said that one could set LYNX_TEMP_SPACE=~/.lynxtmp
> but I failed to convince him again.
> 
> It seemed to me that a reporter want that lynx created
> one (and only one) directory like /tmp/lynx-XXXX and
> put all temporary files there.
> 
> I might misunderstand his request so please see
> http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=267356
> 
> I'd like to know an opinion of developers.
> 
> Thanks in advance,		2004-9-17(Fri)
> 
> -- 
>  Debian Developer & Debian JP Developer - much more I18N of Debian
>  Atsuhito Kohda <kohda@debian.org>
>  Department of Math., Univ. of Tokushima



Noted your statement that Bug has been forwarded to lynx-dev@nongnu.org. Request was from Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #47 received at 267356@bugs.debian.org (full text, mbox):

From: Atsuhito Kohda <kohda@pm.tokushima-u.ac.jp>
To: jidanni@jidanni.org, 267356@bugs.debian.org
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Wed, 22 Sep 2004 10:36:44 +0900 (JST)
From: Dan Jacobson <jidanni@jidanni.org>
Subject: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Fri, 17 Sep 2004 04:56:35 +0800

> Atsuhito> Well, if you set LYNX_TEMP_SPACE=~/.lynxtmp and created
> 
> But I like the tmp files to be in /tmp, I just want it to be clear
> upon even just a quick look, and by default with no extra settings, to
> all people who look, what program is doing it, else one might think it
> is some Trojan horse program.

I asked the upstream and got a reply as follows:

From: Thomas Dickey <dickey@his.com>
Subject: Re: [Lynx-dev] mystery meat directories in /tmp
Date: Fri, 17 Sep 2004 06:49:37 -0400 (EDT)

> He thinks it's bad because he can't tell which session of lynx is
> associated with a given file.  That would be nice, but that's one of
> the details that would make it less secure.

So I think this is not a bug.

BTW, I forwarded some of your reports to the upstream
and had an impression that it would be better if you
subscribe to lynx-dev@nongnu.org and send your request
to the upstream directly.

Thanks for your interest in lynx-cur.

Regards,			2004-9-22(Wed)

-- 
 Debian Developer & Debian JP Developer - much more I18N of Debian
 Atsuhito Kohda <kohda@debian.org>
 Department of Math., Univ. of Tokushima



Information forwarded to debian-bugs-dist@lists.debian.org, Atsuhito KOHDA <kohda@debian.org>:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and forwarded to list. Copy sent to Atsuhito KOHDA <kohda@debian.org>. Full text and rfc822 format available.

Message #52 received at 267356@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: lynx-dev@nongnu.org
Cc: 267356@bugs.debian.org, dickey@his.com
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Thu, 23 Sep 2004 05:16:09 +0800
A> Well, if you set LYNX_TEMP_SPACE=~/.lynxtmp and created
>> 
>> But I like the tmp files to be in /tmp, I just want it to be clear
>> upon even just a quick look, and by default with no extra settings, to
>> all people who look, what program is doing it, else one might think it
>> is some Trojan horse program.

A> I asked the upstream and got a reply as follows:

>> He thinks it's bad because he can't tell which session of lynx is
>> associated with a given file.  That would be nice, but that's one of
>> the details that would make it less secure.

A> So I think this is not a bug.

A wishlist item actually.

I'm saying that there is a directory in /tmp that should reveal via
its name that it was created by lynx (and not by e.g., gimp), that's all.

Let's look around /tmp on my computer:
orbit-jidanni/ esrv1000-jidanni1= ssh-szuwiB1755/ gconfd-jidanni/
See, the trend these days is to put what program made the dir out in front.

A> BTW, I forwarded some of your reports to the upstream
A> and had an impression that it would be better if you
A> subscribe to lynx-dev@nongnu.org and send your request
A> to the upstream directly.

Yes. I'll send this directly too and see if I am still/ever was subscribed.



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#267356. Full text and rfc822 format available.

Message #55 received at 267356-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 267356-submitter@bugs.debian.org
Cc: lynx discussion group <lynx-dev@nongnu.org>
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Wed, 22 Sep 2004 19:23:07 -0400 (EDT)
On Thu, 23 Sep 2004, Dan Jacobson wrote:

> A> Well, if you set LYNX_TEMP_SPACE=~/.lynxtmp and created
> >>
> >> But I like the tmp files to be in /tmp, I just want it to be clear
> >> upon even just a quick look, and by default with no extra settings, to
> >> all people who look, what program is doing it, else one might think it
> >> is some Trojan horse program.
>
> A> I asked the upstream and got a reply as follows:
>
> >> He thinks it's bad because he can't tell which session of lynx is
> >> associated with a given file.  That would be nice, but that's one of
> >> the details that would make it less secure.
>
> A> So I think this is not a bug.
>
> A wishlist item actually.
>
> I'm saying that there is a directory in /tmp that should reveal via
> its name that it was created by lynx (and not by e.g., gimp), that's all.

I don't recall anyone complaining before about that aspect.  Perhaps it
should be configurable in some sense.   lynx's temporary files also don't
offer much clue (a leading "L" is about all).

> Let's look around /tmp on my computer:
> orbit-jidanni/ esrv1000-jidanni1= ssh-szuwiB1755/ gconfd-jidanni/
> See, the trend these days is to put what program made the dir out in front.
>
> A> BTW, I forwarded some of your reports to the upstream
> A> and had an impression that it would be better if you
> A> subscribe to lynx-dev@nongnu.org and send your request
> A> to the upstream directly.
>
> Yes. I'll send this directly too and see if I am still/ever was subscribed.

not to my recollection - just the Debian mailing lists.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information stored:
Bug#267356; Package lynx-cur. Full text and rfc822 format available.

Acknowledgement sent to Dan Jacobson <jidanni@jidanni.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #60 received at 267356-quiet@bugs.debian.org (full text, mbox):

From: Dan Jacobson <jidanni@jidanni.org>
To: Thomas Dickey <dickey@his.com>
Cc: 267356-quiet@bugs.debian.org, lynx discussion group <lynx-dev@nongnu.org>
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Fri, 24 Sep 2004 04:17:27 +0800
T> I don't recall anyone complaining before about that aspect.  Perhaps it
T> should be configurable in some sense.   lynx's temporary files also don't
T> offer much clue (a leading "L" is about all).

Well the default directory should boldly advertise "lynx" in its name,
so system administrators know what that directory is doing there.
What you do inside the directory I'm not too concerned about.



Message sent on to Dan Jacobson <jidanni@jidanni.org>:
Bug#267356. Full text and rfc822 format available.

Message #63 received at 267356-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 267356-submitter@bugs.debian.org
Cc: lynx discussion group <lynx-dev@nongnu.org>
Subject: Re: Bug#267356: lynx-cur: mystery meat directories in /tmp
Date: Thu, 23 Sep 2004 20:18:01 -0400 (EDT)
On Fri, 24 Sep 2004, Dan Jacobson wrote:

> T> I don't recall anyone complaining before about that aspect.  Perhaps it
> T> should be configurable in some sense.   lynx's temporary files also don't
> T> offer much clue (a leading "L" is about all).
>
> Well the default directory should boldly advertise "lynx" in its name,
> so system administrators know what that directory is doing there.
> What you do inside the directory I'm not too concerned about.

I understood that.  (I modified the appropriate line of code, will be in
the dev.6 patch, which I'm working on).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Reply sent to Atsuhito KOHDA <kohda@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Dan Jacobson <jidanni@jidanni.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #68 received at 267356-close@bugs.debian.org (full text, mbox):

From: Atsuhito KOHDA <kohda@debian.org>
To: 267356-close@bugs.debian.org
Subject: Bug#267356: fixed in lynx-cur 2.8.6-6
Date: Thu, 18 Nov 2004 21:32:09 -0500
Source: lynx-cur
Source-Version: 2.8.6-6

We believe that the bug you reported is fixed in the latest version of
lynx-cur, which is due to be installed in the Debian FTP archive:

lynx-cur-wrapper_2.8.6-6_all.deb
  to pool/main/l/lynx-cur/lynx-cur-wrapper_2.8.6-6_all.deb
lynx-cur_2.8.6-6.diff.gz
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-6.diff.gz
lynx-cur_2.8.6-6.dsc
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-6.dsc
lynx-cur_2.8.6-6_i386.deb
  to pool/main/l/lynx-cur/lynx-cur_2.8.6-6_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 267356@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Atsuhito KOHDA <kohda@debian.org> (supplier of updated lynx-cur package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Fri, 19 Nov 2004 09:32:29 +0900
Source: lynx-cur
Binary: lynx-cur-wrapper lynx-cur
Architecture: source i386 all
Version: 2.8.6-6
Distribution: unstable
Urgency: low
Maintainer: Atsuhito KOHDA <kohda@debian.org>
Changed-By: Atsuhito KOHDA <kohda@debian.org>
Description: 
 lynx-cur   - Text-mode WWW Browser with NLS support (development version)
 lynx-cur-wrapper - Wrapper for lynx-cur
Closes: 255571 255571 267356 267356 276902
Changes: 
 lynx-cur (2.8.6-6) unstable; urgency=low
 .
   * This is of 2.8.6dev.8
   * Changed --with-screen option from ncursesw to ncurses because there
     was a problem with ncursesw and the patches since 2.8.6dev6
   * The followings were fixed with 2.8.6-5 which was not uploaded.
    - modify template for temporary-directory name, adding "lynx" prefix
      (Closes: #267356)
    - add -listonly option and -nonumbers option  (Closes: #255571)
    - we should check #240069 and #254603
   * The followings were fixed with 2.8.6dev.6
    - modify template for temporary-directory name, adding "lynx" prefix
      (Closes: #267356)
    - add -listonly option and -nonumbers option  (Closes: #255571)
    - we should check #240069 and #254603
   * Updated de.po  Thanks to Jens Nachtigall <nachtigall@web.de>
     (Closes: #276902)
Files: 
 a12dc10668c6f56fb2e16d49b477fe8a 656 web extra lynx-cur_2.8.6-6.dsc
 b9c29d4a7c75d4fcc097a2de5ec3ffca 4960172 web extra lynx-cur_2.8.6-6.diff.gz
 0f9424412c5ea36bdbbbf5cbbfe1362c 11720 web extra lynx-cur-wrapper_2.8.6-6_all.deb
 51ffb27f527c4277085e4def0d869d91 1872974 web extra lynx-cur_2.8.6-6_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBnVhB1IXdL1v6kOwRAk9KAJ0RsjS0xjaZJ5MfS4BHK8sIiXL2tgCfXPTH
jyxs2DfA1DMpSPc/k+k4bnY=
=Ph1c
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 22:45:42 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.